<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>everything work out in the end</title>
    <style>
        dialog {
            border: 0;

            border-right: 1px solid black;

            min-height: 100vh;
            height: 100vh;

            margin: 0;
        }
    </style>
</head>
<body>
<dialog id="modal" aria-labelledby="dialog-header" aria-describedby="dialog-content">]
    <h1>Hello World! because I love stereotypes</h1>
    <div class="dialog-content">I say dou when my app print me error</div>
    <button id="close-btn" aria-label="close-dialog">Close dialog windows</button>
</dialog>
<button id="open-btn" aria-label="open-dialog">Open dialog windows</button>
</body>
<script>
    const modalElement = document.getElementById("modal");
    const  openBtn = document.getElementById("open-btn");
    const closeBtn = document.getElementById("close-btn");

    openBtn.addEventListener("click", () => {
        modalElement.showModal();
    });

    closeBtn.addEventListener("click", () => {
        modalElement.close();
    })
</script>
</html>
